Package org.eclipse.jdt.core.util

## Interface IStackMapFrame

    public interface IStackMapFrame

Description of a stack map frame as specified in the JVM specifications. This interface may be implemented by clients.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getFrameType()` Answer back the frame type for this entry.
`IVerificationTypeInfo[]` `getLocals()` Answer back verification infos for the defined locals.
`int` `getNumberOfLocals()` Answer back the number of locals.
`int` `getNumberOfStackItems()` Answer back the number of stack items
`int` `getOffsetDelta()` Answer back the offset delta.
`IVerificationTypeInfo[]` `getStackItems()` Answer back the verification infos for the stack items.

### Method Detail

#### getFrameType

    int getFrameType()

Answer back the frame type for this entry.

Type | Range
--- | ---
SAME | 0-63
SAME_LOCALS_1_STACK_ITEM | 64-127
SAME_LOCALS_1_STACK_ITEM_EXTENDED | 247
CHOP | 248-250
SAME_FRAME_EXTENDED | 251
APPEND | 252-254
FULL_FRAME | 255

Returns:
  the frame type for this entry

#### getOffsetDelta

    int getOffsetDelta()

Answer back the offset delta.

This is not defined only for the frame types SAME and SAME_LOCALS_1_STACK_ITEM.

Returns:
  the offset delta

#### getNumberOfLocals

    int getNumberOfLocals()

Answer back the number of locals.

This is defined only for the frame type FULL_FRAME.

Returns:
  the number of locals

#### getLocals

    IVerificationTypeInfo[] getLocals()

Answer back verification infos for the defined locals.

This is defined only for frame types APPEND and FULL_FRAME.

Returns:
  verification infos for the defined locals

#### getNumberOfStackItems

    int getNumberOfStackItems()

Answer back the number of stack items

This is defined only for the frame types SAME_LOCALS_1_STACK_ITEM, SAME_LOCALS_1_STACK_ITEM_EXTENDED and FULL_FRAME. For SAME_LOCALS_1_STACK_ITEM and SAME_LOCALS_1_STACK_ITEM_EXTENDED, the answer is implicitely 1.

Returns:
  the number of stack items

#### getStackItems

    IVerificationTypeInfo[] getStackItems()

Answer back the verification infos for the stack items.

Returns:
  the verification infos for the stack items